<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="{$charset}" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="templates/{$template}/assets/img/favicon.ico" >
    <title>{if $kbarticle.title}{$kbarticle.title} - {/if}{$pagetitle} - {$companyname}</title>

    {include file="$template/includes/head.tpl"}

    {$headoutput}

</head>
<body>
<!-- 
*******************
HEADER  
*******************
-->
{$headeroutput}
<section id="header">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="contacts">
          <span>Phone :</span> <a class="phone" href="tel:+0000000000">+ (123) 1300-656-1046</a>
          <span>Email :</span> <a class="email" href="mailto:cloudy@mail.com">cloudy@mail.com</a>
        </div>
        <ul class="top-nav">
          {if $languagechangeenabled && count($locales) > 1}
              <li>
                  <a href="#" class="choose-language" data-toggle="popover" id="languageChooser">
                      {$activeLocale.localisedName}
                      <b class="caret"></b>
                  </a>
                  <div id="languageChooserContent" class="hidden">
                      <ul>
                          {foreach $locales as $locale}
                              <li>
                                  <a href="{$currentpagelinkback}language={$locale.language}">{$locale.localisedName}</a>
                              </li>
                          {/foreach}
                      </ul>
                  </div>
              </li>
          {/if}
          {if $loggedin}
              <li>
                  <a href="#" data-toggle="popover" id="accountNotifications" data-placement="bottom">
                      {$LANG.notifications}
                      {if count($clientAlerts) > 0}<span class="label label-info">NEW</span>{/if}
                      <b class="caret"></b>
                  </a>
                  <div id="accountNotificationsContent" class="hidden">
                      <ul class="client-alerts">
                      {foreach $clientAlerts as $alert}
                          <li>
                              <a href="{$alert->getLink()}">
                                  <i class="fa fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}warning{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if}"></i>
                                  <div class="message">{$alert->getMessage()}</div>
                              </a>
                          </li>
                      {foreachelse}
                          <li class="none">
                              {$LANG.notificationsnone}
                          </li>
                      {/foreach}
                      </ul>
                  </div>
              </li>
              <li class="primary-action">
                  <a href="{$WEB_ROOT}/logout.php" class="btn btn-default-green question">
                      {$LANG.clientareanavlogout}
                  </a>
              </li>
          {else}
              <li class="nav navbar-nav navbar-right">
                  {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar}
              </li>
              <li>
                  <a href="{$WEB_ROOT}/cart.php?a=view">
                      {$LANG.viewcart}
                  </a>
              </li>
              {if $condlinks.allowClientRegistration}
                  <li class="primary-action">
                      <a href="{$WEB_ROOT}/register.php">{$LANG.register}</a>
                  </li>
              {/if}
              <li>
                  <a class="btn btn-default-green question" href="{$WEB_ROOT}/clientarea.php">{$LANG.login}</a>
              </li>
          {/if}
          {if $adminMasqueradingAsClient || $adminLoggedIn}
              <li>
                  <a href="" class="btn btn-logged-in-admin" data-toggle="tooltip" data-placement="bottom" title="{if $adminMasqueradingAsClient}{$LANG.adminmasqueradingasclient} {$LANG.logoutandreturntoadminarea}{else}{$LANG.adminloggedin} {$LANG.returntoadminarea}{/if}">
                      <i class="fa fa-sign-out"></i>
                  </a>
              </li>
          {/if}   
        </ul>
      </div>
    </div>
  </div>
</section>
<!-- 
*******************
NAV MENU
*******************
-->
<div class="menu-wrap">
  <div class="container">
    <div class="row">
      <div class="col-sm-3 col-md-3">
        <a href="{$WEB_ROOT}/index.php">
          <img src="{$WEB_ROOT}/templates/{$template}/assets/img/logo.svg" class="logo-menu" alt="{$companyname}"/>
        </a>
      </div>
      <div class="col-sm-9 col-md-9 ">
        <nav class="nav-menu">
          <button class="menu-toggle">
            <span class="icon"></span>
            <span class="icon"></span>
            <span class="icon"></span>
          </button>
          <ul class="main-menu">
            <li class="menu-item menu-item-has-children">
              <a href="#">Home</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/">Home Page v01</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/homepage-2">Home Page v02</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/homepage-3">Home Page v03</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/homepage-4">Home Page v04</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a class="m-0 pr-1" href="#">Services</a> <div class="badge bg-green mr-4">PRO</div>
              <div class="sub-menu menu-large">
                <ul class="container">
                  <li class="service-list">
                    <div class="row">
                      <div class="col-md-4 service">
                        <div class="media-left">
                          <i class="icon-cloudfiber"></i>
                        </div>
                        <div class="media-body">
                          <a class="menu-item" href="http://inebur.com/cloudy/template/hosting.html">Cloud Hosting</a>
                          <p>Lorem ipsum dolor sit amet</p>
                        </div>
                      </div>
                      <div class="col-md-4 service">
                        <div class="media-left">
                          <i class="icon-reseller"></i>
                        </div>
                        <div class="media-body">
                          <a class="menu-item" href="http://inebur.com/cloudy/template/reseller.html">Cloud Reseller</a>
                          <p>Adipiscing integer act lacinia</p>
                        </div>
                      </div>
                      <div class="col-md-4 service">
                        <div class="media-left">
                          <i class="icon-dedicated"></i>
                        </div>
                        <div class="media-body">
                          <a class="menu-item" href="http://inebur.com/cloudy/template/dedicated.html">Dedicated Servers</a>
                          <p>Dolor sit amet conse adipiscing</p>
                        </div>
                      </div>
                      <div class="col-md-4 service">
                        <div class="media-left">
                          <i class="icon-vps"></i>
                        </div>
                        <div class="media-body">
                          <a class="menu-item" href="http://inebur.com/cloudy/template/vps.html">Cloud VPS</a>
                          <p>Dolor sit amet conse adipiscing</p>
                        </div>
                      </div>
                      <div class="col-md-4 service">
                        <div class="media-left">
                          <i class="icon-wordpress"></i>
                        </div>
                        <div class="media-body">
                          <a class="menu-item" href="http://inebur.com/cloudy/template/wordpress.html">WordPress</a>
                          <p>Adipiscing integer act lacinia</p>
                        </div>
                      </div>
                      <div class="col-md-4 service">
                        <div class="media-left">
                          <i class="icon-domains"></i>
                        </div>
                        <div class="media-body">
                          <a class="menu-item" href="http://inebur.com/cloudy/template/domains.html">Domain Names</a>
                          <p>Dolor sit amet conse adipiscing.</p>
                        </div>
                      </div>
                    </div>
                  </li>
                  <li class="start-offer">
                    <div class="inner">
                      <i class="icon-coupon"></i>
                      <div class="title">Wildcard SSL</div>
                      <p>Protect your all Subdomains</p>
                      <div class="val">before <sup>$</sup>39.99<span class="period">/yr</span></div>
                      <div class="dis">now <sup>$</sup>30.49<span class="period">/yr</span></div>
                      <a href="http://inebur.com/cloudy/template/ssl.html" class="btn btn-block btn-default-green-fill">Buy Now</a>
                    </div>
                  </li>
                </ul>
              </div>
            </li>
            <li class="menu-item menu-item-has-children">
              <a href="#">Pages</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/countdown.html">Coming Soon</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/about.html"> About Us</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/team.html"">Our Team</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/404.html">404 Error</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/signup.html">Sign Up</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/login.html">Login</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a href="#">E-Shop</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/shop.html">e-Shop Products</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/shop-2.html">e-Shop Sidebar</a> <div class="menu badge feat bg-green">NEW</div></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/shop-3.html">e-Shop Product Details</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/checkout.html">Checkout</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/cart.html">Cart</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a href="#">Blog</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/blog-1.html">Blog One Column</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/blog-2.html">Blog Two Columns</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/blog-details.html">Blog Details</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a href="#">Features</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/elements.html">Elements</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/pricing-tables.html">Pricing Tables</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children menu-last">
              <a href="#">Support</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/knowledgebase.html">Knowlege Base</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/contact.html">Contact Us</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/help.html">Help</a></li>
                <li class="menu-item"><a href="http://inebur.com/cloudy/template/faq.html">Faq</a></li>
              </ul>
            </li>
          </ul>
        </nav>
      </div>
    </div>
  </div>
</div>
<!-- 
*******************
NAV MENU MOBILE  
*******************
-->
<div class="menu-wrap mobile">
  <div class="container">
    <div class="row">
      <div class="col-md-6 ">
        <a href="index.html"><img src="{$WEB_ROOT}/templates/{$template}/assets/img/logo.svg" alt="{$companyname}" /></a>
      </div>
      <div class="col-md-6 ">
        <nav class="nav-menu">
          <button id="nav-toggle" class="menu-toggle">
            <span class="icon"></span>
            <span class="icon"></span>
            <span class="icon"></span>
          </button>
          <ul class="main-menu">
            <li class="mb-3">
              <a href="tel:+0000000000"><small class="c-grey">Phone: + (123) 1300-656-1046</small></a> <br>
              <a class="mb-3" href="mailto:cloudy@mail.com"><small class="c-grey">Email: cloudy@mail.com</small></a>
            </li>
            <li class="menu-item menu-item-has-children">
              <a class="active">Home</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="index.html" class="active">Home Page v01</a></li>
                <li class="menu-item"><a href="homepage-2.html">Home Page v02</a></li>
                <li class="menu-item"><a href="homepage-3.html">Home Page v03</a></li>
                <li class="menu-item"><a href="homepage-4.html">Home Page v04</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a>Services <div class="badge bg-green mr-4">PRO</div></a> 
              <ul class="sub-menu">
                <li class="menu-item"><a href="hosting.html">Cloud Hosting</a></li>
                <li class="menu-item"><a href="reseller.html">Cloud Reseller</a></li>
                <li class="menu-item"><a href="dedicated.html">Dedicated Server</a></li>
                <li class="menu-item"><a href="vps.html">Cloud VPS</a></li>
                <li class="menu-item"><a href="wordpress.html">WordPress</a></li>
                <li class="menu-item"><a href="domains.html">Domain Names</a></li>
                <li class="menu-item"><a href="ssl.html">Certificates SSL</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a>Pages</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="countdown.html">Coming Soon</a></li>
                <li class="menu-item"><a href="about.html"> About Us</a></li>
                <li class="menu-item"><a href="team.html">Our Team</a></li>
                <li class="menu-item"><a href="404.html">404 Error</a></li>
                <li class="menu-item"><a href="signup.html">Sign Up</a></li>
                <li class="menu-item"><a href="login.html">Login</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a>E-Shop</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="shop.html">e-Shop Products</a></li>
                <li class="menu-item"><a href="shop-2.html">e-Shop Side Bar <div class="menu badge bg-green">NEW</div></a> </li>
                <li class="menu-item"><a href="shop-3.html">e-Shop Product Details</a></li>
                <li class="menu-item"><a href="cart.html">Cart</a></li>
                <li class="menu-item"><a href="checkout.html">Checkout</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a>Blog</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="blog-1.html">Blog One Column</a></li>
                <li class="menu-item"><a href="blog-2.html">Blog Two Columns</a></li>
                <li class="menu-item"><a href="blog-details.html">Blog Details</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children">
              <a>Features</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="elements.html">Elements</a></li>
                <li class="menu-item"><a href="pricing-tables.html">Pricing Tables</a></li>
              </ul>
            </li>
            <li class="menu-item menu-item-has-children menu-last">
              <a>Support</a>
              <ul class="sub-menu">
                <li class="menu-item"><a href="knowlegebase.html">Knowlege Base</a></li>
                <li class="menu-item"><a href="contact.html">Contact Us</a></li>
                <li class="menu-item"><a href="help.html">Help</a></li>
                <li class="menu-item"><a href="faq.html">Faq</a></li>
              </ul>
            </li>
            <li>
              <a href="http://inebur.com/whmcs/clientarea.php"><div class="btn btn-default-green-fill">LOGIN</div></a>
            </li>
          </ul>
        </nav>
      </div>
    </div>
  </div>
</div>
<!-- 
*******************
BANNER 
*******************
-->
  <div class="top-header overlay item6">
    <div class="container">
      <div class="row">
        <div class="col-md-12 text-center">
          <div class="wrapper">
            {if $registerdomainenabled || $transferdomainenabled}
            <div class="heading">{$LANG.homebegin}</div>
            <div class="subheding pb-4">Choose from hundreds of extensions and put your website in the world.</div>
            <div class="col-md-6 col-md-offset-3">
              <section id="home-banner">
                <form method="post" action="domainchecker.php">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="input-group input-group-lg">
                                <input type="text" class="fill-input green-border" name="domain" placeholder="{$LANG.exampledomain}" autocapitalize="none" />
                                <span class="input-group-btn">
                                    {if $registerdomainenabled}
                                        <input type="submit" class="btn btn-default-green-fill" value="{$LANG.search}" />
                                    {/if}
                                    {if $transferdomainenabled}
                                        <input type="submit" name="transfer" class=" btn btn-default-fill" value="{$LANG.domainstransfer}" />
                                    {/if}
                                </span>
                            </div>
                        </div>
                    </div>
                    <!-- {include file="$template/includes/captcha.tpl"} -->
                </form>
              </section>
            </div>
            {else}
                <h2>{$LANG.doToday}</h2>
            {/if}
          </div>
        </div>
      </div>
    </div>
  </div>
<!-- 
*******************
NAVBAR DEFAULT 
*******************
-->
<section id="main-menu" class="navbar-main">
    <nav id="nav" class="navbar navbar-default navbar-main" role="navigation">
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
              <button id="nav-toggle" type="button" class="navbar-toggle menu-toggle" data-toggle="collapse" data-target="#primary-nav">
                  <span class="sr-only">Toggle navigation</span>
                  <span class="icon-bar"></span>
              </button>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="primary-nav">
                <ul class="nav navbar-nav">
                    {include file="$template/includes/navbar.tpl" navbar=$primaryNavbar}
                </ul>
            </div><!-- /.navbar-collapse -->
        </div>
    </nav>
</section>
<!-- 
*******************
SHORTCUTS
*******************
-->
{if $templatefile == 'homepage'}
<section class="h-services sec-normal">
  <div class="container">
    <div class="sec-main sec-grad-green">
      <div class="row">
        <div class="col-12 col-sm-12 text-center">
          <h2 class="section-heading">{$LANG.howcanwehelp}</h2>
        </div>

        <div class="col-sm-12 col-md-6">
          <div class="wrap-service">
            <i class="icon-domains"></i>
            <div class="heading">{$LANG.buyadomain}</div>
            <div class="text-info">{$LANG.homebegin}</div>
            <a id="btnBuyADomain" href="domainchecker.php" class="btn btn-default-green-fill">{$LANG.buyadomain}</a>
          </div>
        </div>

        <div class="col-sm-12 col-md-6">
          <div class="wrap-service">
            <i class="icon-cloudfiber"></i>
            <div class="heading">{$LANG.orderhosting}</div>
            <div class="text-info">{$LANG.orderForm.chooseFromRange}</div>
            <a id="btnOrderHosting" href="cart.php" class="btn btn-default-green-fill">{$LANG.orderhosting}</a>
          </div>
        </div>

        <div class="col-sm-12 col-md-6 clear-sm">
          <div class="wrap-service">
            <i class="icon-card"></i>
            <div class="heading">{$LANG.makepayment}</div>
            <div class="text-info">{$LANG.forwardingtogateway}</div>
            <a id="btnMakePayment" href="clientarea.php" class="btn btn-default-green-fill">{$LANG.makepayment}</a>
          </div>
        </div>

        <div class="col-sm-12 col-md-6 clear-md">
          <div class="wrap-service">
            <i class="icon-support"></i>
            <div class="heading">{$LANG.getsupport}</div>
            <div class="text-info">{$LANG.supportticketsintro}</div>
            <a id="btnGetSupport" href="submitticket.php" class="btn btn-default-green-fill">{$LANG.getsupport}</a>
          </div>
        </div>

      </div>
    </div>
  </div>
</section>
{/if}

<!-- 
*******************
MAIN BODY
*******************
-->
{include file="$template/includes/verifyemail.tpl"}
<section id="main-body">
  <div class="container{if $skipMainBodyContainer}-fluid without-padding{/if}">
    <div class="row">
    {if !$inShoppingCart && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}
        {if $primarySidebar->hasChildren() && !$skipMainBodyContainer}
            <div class="col-md-9 pull-md-right">
                {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
            </div>
        {/if}
        <div class="col-md-3 pull-md-left sidebar">
            {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}
        </div>
    {/if}
    <!-- Container for main page display content -->
    <div class="{if !$inShoppingCart && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}col-md-9 pull-md-right{else}col-xs-12{/if} main-content">
        {if !$primarySidebar->hasChildren() && !$showingLoginPage && !$inShoppingCart && $templatefile != 'homepage' && !$skipMainBodyContainer}
            {include file="$template/includes/pageheader.tpl" title=$displayTitle desc=$tagline showbreadcrumb=true}
        {/if}
